Get calendar notifications based on query

http
GET https://services.leadconnectorhq.com/calendars/{calendarId}/notifications

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Path parameters

NameTypeRequiredExampleDescription
calendarIdstringYes

Query parameters

NameTypeRequiredExampleDescription
isActivebooleanNo
deletedbooleanNo
limitnumberNoNumber of records to return
skipnumberNoNumber of records to skip

Responses

200 - Successful response
json
[
  {
    "_id": "string",
    "receiverType": "contact",
    "additionalEmailIds": [
      "example1@email.com",
      "example2@email.com"
    ],
    "additionalPhoneNumbers": [
      "+919876744444",
      "+919876744445"
    ],
    "channel": "email",
    "notificationType": "confirmation",
    "isActive": true,
    "additionalWhatsappNumbers": [
      "+919876744444",
      "+919876744445"
    ],
    "templateId": "0as9d8as0d",
    "body": "This is a test notification",
    "subject": "Test Notification",
    "afterTime": [
      {
        "timeOffset": 1,
        "unit": "hours"
      }
    ],
    "beforeTime": [
      {
        "timeOffset": 1,
        "unit": "hours"
      }
    ],
    "selectedUsers": [
      "user1",
      "user2"
    ],
    "deleted": false
  // truncado: 2 lineas mas
]
400 - Bad Request
json
{}
401 - Unauthorized
json
{}

Example

curl -X GET 'https://services.leadconnectorhq.com/calendars/YOUR_calendarId/notifications' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28'

Last updated October 26, 2026

Was this page helpful?